org.eclipse.emf.spi.cdo

## Class DefaultCDOMerger.PerFeature.ManyValued.PerSide<T>

- java.lang.Object
- - org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.PerSide<T>

- Direct Known Subclasses:
    DefaultCDOMerger.PerFeature.ManyValued.Element
  Enclosing class:
    DefaultCDOMerger.PerFeature.ManyValued

      public static class DefaultCDOMerger.PerFeature.ManyValued.PerSide<T>
      extends Object

  Holds data for the source and target sides.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerSide()`
    `PerSide(T source, T target)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `get(DefaultCDOMerger.PerFeature.ManyValued.Side side)`
    `void` | `set(DefaultCDOMerger.PerFeature.ManyValued.Side side, T value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PerSide

          public PerSide()

    - #### PerSide

          public PerSide(T source,
                         T target)

  - ### Method Detail

    - #### get

          public final T get(DefaultCDOMerger.PerFeature.ManyValued.Side side)

    - #### set

          public final void set(DefaultCDOMerger.PerFeature.ManyValued.Side side,
                                T value)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html